Bug 836373 - [abrt] gedit-3.2.6-1.fc16: g_utf8_prev_char: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: g_utf8_prev_char: Process /usr/bin/gedit was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:031e1337b41ba7f7db6f5e5db46...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:56 EDT by Roderick McMiller
Modified: 2013-02-13 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:11:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (9.87 KB, text/plain)
2012-06-28 16:57 EDT, Roderick McMiller
no flags Details
File: maps (28.00 KB, text/plain)
2012-06-28 16:57 EDT, Roderick McMiller
no flags Details
File: backtrace (27.04 KB, text/plain)
2012-06-28 16:57 EDT, Roderick McMiller
no flags Details

  None (edit)
Description Roderick McMiller 2012-06-28 16:56:58 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
crash_function: g_utf8_prev_char
executable:     /usr/bin/gedit
kernel:         3.3.8-1.fc16.i686
pid:            7035
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Thu 28 Jun 2012 03:49:48 PM CDT
uid:            1000

backtrace:      Text file, 27694 bytes
dso_list:       Text file, 10106 bytes
maps:           Text file, 28672 bytes

build_ids:
:4b65b2ab36082e9552ad2014fac436421c4f65ad
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:c9bedc7ec229b2a2e2ec1b6a6581b415c98bc4c1
:5e51cf8a95cc40d5ef9e7f992c8de92450cc8070
:98e5e60078d7807fddc7d0ffb7a2271aac2e8904
:cd8e5718b30e2d3bf0c36a6fdd835cf41b65f9b3
:fb5857630898b86982a33a2148c700026700dd01
:42859023e4ec83a16446984b1e0c7510a38731c4
:798697a352bae4178953ba502fb04f33dd0ed987
:d2fa47ac2ef035e4573199292f6d6352a0132124
:2f477e62b54993550224594fde5fa42920bbbe81
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:2aed5f2860186d237ceea6f6d26c433204f9d5a1
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:edf49a2469b784926a4104de58e85ed2e146f4b3
:a41fafb8ea137a4ab39b97e2ebb80e3a90e20b28
:5daecd6904476befcc60901b5b597dbc0dac0f40
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:60e27acd1bf03df9c277260a94478512c03b7f76
:8a257536ca5f5aee876e236d9bab65868b0b385f
:a861dd64efbed0e35b4cdad337313b98c162cf58
:4c04033d01a9d6b157b2521ae3409a0ba0f5f3a3
:87f24e0dbf2491c4439adbba6d2b5179f5c46098
:1e3fe89770ebf8f85a9b26e44bf85d781bcfaa23
:1af5458157158b2b723d392187198a375d2c1ac7
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:4f2c2e43f699902f896456f8d9f85c6c70ed7f8b
:19bce624dda8659f770012166d85bc075fb23f1a
:b919ee5455efcd83e143f89bccc22a5e51be5bb6
:e64d3adbd116d69878711f94b075d9076296bdae
:6ecdde4147fa0e931f02dbd92c5a6c58709b4e9f
:63dd827dee72af944147d4f6df04266e0765a7b7
:888fc54505ca230b51d20931456ef18d9dc20346
:f9d58fb88507f2b6036e12f940640115062813e4
:c220d34a217c715968cf4eec464fe5301122c592
:e012145a98558b7d015f3ccf3cacfac44b498980
:faa844e460702359079f4f15f1f881e87777abb6
:7797557c8de2017a8a26fca60803b0ca826bd835
:0df8d029a0579fb49dddac92080b6b34902a8de6
:5031c4c03882fc3c5cc3dd84e2b4491d8bd08af3
:2db77e82f9cf6054c8c51f0e059ff75075dbbc36
:af67e9dfe2fe421ce132eae1a469bfb424879ef8
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:2c4e6e5956dc136a43a31e33e4796e16fc35b5cc
:4b045111479e1ec97d0ef5668482bf808e8dadba
:b15b3676f0d78173fc1a46eb9e7e32f4b3cca6bb
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:9d63dc2ec7319f8f859631fe02b108b896da5450
:a031ec247ebfa2c35d637f0c427474d7a0e43904
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:52cfde7a730826ca63e9d6de254413e8e20d6fc4
:7523f9012d700a579c80e83f54445e7bfceb4eca
:ddd5fbd9c73dba64e1130590cfc1fb32e31d85ea
:fbb0d4ac361e02651635d1e6e15698983954fc5a
:43021713d047b393fb97b05e535f72cf6f096b01
:c1f38a32c6faaa1930eff465aa7bc843af7b6360
:bf50078d272dede07dbdbe151bfd4323fa273fd3
:23d1086014ed5544b3df4cee1f95694032252322
:1f19dd0ae78a24ebf6391fbacfb4fd9c38ad1b0b
:ced82078ed2f1dd18f92fb24bf6b760a4f5b178c
:17d83b9cb053e924459aec2a36298787a49622a3
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:83828a31823ccb1a2e2f04736f01f6c41ba1e360
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:d901210c1e549a645a3a6e781ccc9025e18bd845
:b5d8dba6c9d0548815a8aa120f136a6c125c21e1
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:7ebe92fe862ff1ced28ef663113303af0fcdd9e3
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:88eb1cabfe143e1a4f2a7ed8614c540945c22b78
:0df7664be2f181480ab032ab891629dcc1af7346
:a2123d0480dbb74e12b47208c8c174736ab3a06d
:8f59113fbe384fbd55c65585d58dec2cdcb5cf00
:b13cac156e2f55d436d38abd7d82c6f0b2537dd1
:5bfb5514afe40f504eaee43c6b73147644483503
:20e55e40b2f98606fcb0891424b09eb7e723ce8f
:15bab279752ad8e30f901abae77bcb1ed1f38977
:082ec1137f42c3c0c367c151311bc5538169cfe8
:556f3a11636b6f0daaea874102de18ca7e6e08d1
:4cadcee4cbcd48d8b8766361bf2e80d593a46536
:7a45666a014481c196c7f53a4aef302b0331aaf3
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:91aa25ae571a0ea3c49de4393a56d860e7045bfc
:b8362b3b5d82f212d77d69fff8e503ae6fdcfe9b
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=8
:HOSTNAME=rmcmiller
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=2641e2b9547c5e8cbae3b8dd00000010-1340906552.740522-161567899
:GNOME_KEYRING_CONTROL=/tmp/keyring-eJufsW
:IMSETTINGS_MODULE=none
:USER=rmcmiller
:USERNAME=rmcmiller
:MAIL=/var/spool/mail/rmcmiller
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/rmcmiller/.local/bin:/home/rmcmiller/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/rmcmiller
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=4864
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/rmcmiller
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=rmcmiller
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Onj4KjiJqW,guid=02db1dee4df655acb74d48f300003fdd
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/rmcmiller
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-rmcmiller-4sFYAE/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4872,unix/unix:/tmp/.ICE-unix/4872
:SSH_AUTH_SOCK=/tmp/keyring-eJufsW/ssh
:GPG_AGENT_INFO=/tmp/keyring-eJufsW/gpg:0:1
:DESKTOP_AUTOSTART_ID=1062a5df5dede028f813409065532490600000048720029
:DESKTOP_STARTUP_ID=nautilus-5081-rmcmiller-gedit-0_TIME22270155
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7035

smolt_data:
:
:
:General
:=================================
:UUID: fbcbd826-5b45-4365-b5b6-fa511498e540
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4988.59
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 3198
:System Swap: 5247
:Vendor: Dell Inc.
:System: Latitude E6420 01
:Form factor: Laptop
:Kernel: 3.3.8-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4631:33329:4136:1171) pci, None, STORAGE, N/A
:(32902:7247:4136:1171) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4631:33313:4136:1171) pci, sdhci-pci, BASE, N/A
:(32902:294:4136:1171) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4136:1171) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:4136:1171) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7188:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1171) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16939:32902:4385) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:4136:1171) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1171) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1171) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1171) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1171) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1171) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_rmcmiller-lv_root / ext4 4096 4096 13092026 10333295 10202273 3276800 3040129 3040129
:/dev/sda2 /boot ext4 1024 1024 508745 410828 385228 128016 127742 127742
:/dev/mapper/vg_rmcmiller-lv_home /home ext4 4096 4096 107394241 95709002 90333412 26877952 26852117 26852117
:

var_log_messages:
:Jun 28 15:49:48 rmcmiller kernel: [26352.860547] gedit[7035]: segfault at 21 ip 414c3bbb sp bfc0419c error 4 in libglib-2.0.so.0.3000.3[41450000+120000]
:Jun 28 15:49:49 rmcmiller abrt[7681]: Saved core dump of pid 7035 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-28-15:49:48-7035 (72093696 bytes)

xsession_errors:
:(gedit:7035): Pango-CRITICAL **: pango_utf8_strlen: assertion `p != NULL || max == 0' failed
:(gedit:7035): Pango-CRITICAL **: pango_cairo_show_glyph_item: assertion `text != NULL' failed
Comment 1 Roderick McMiller 2012-06-28 16:57:04 EDT
Created attachment 595128 [details]
File: dso_list
Comment 2 Roderick McMiller 2012-06-28 16:57:06 EDT
Created attachment 595129 [details]
File: maps
Comment 3 Roderick McMiller 2012-06-28 16:57:08 EDT
Created attachment 595130 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-01-16 12:28:44 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:11:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.